Package org.lwjgl.util.glu

# Class Cylinder

java.lang.Object
org.lwjgl.util.glu.Quadric
org.lwjgl.util.glu.Cylinder

public class Cylinder extends Quadric
Cylinder.java Created 23-dec-2003

Author:
  Erik Duijs

## Field Summary

### Fields inherited from class org.lwjgl.util.glu.Quadric

`drawStyle, normals, orientation, textureFlag`

## Constructor Summary

Constructors
Constructor
Description
`Cylinder()`
Constructor for Cylinder.

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(float baseRadius, float topRadius, float height, int slices, int stacks)`
draws a cylinder oriented along the z axis.

### Methods inherited from class org.lwjgl.util.glu.Quadric

`cos, getDrawStyle, getNormals, getOrientation, getTextureFlag, normal3f, setDrawStyle, setNormals, setOrientation, setTextureFlag, sin, TXTR_COORD`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Cylinder

public Cylinder()
Constructor for Cylinder.

## Method Details

### draw

public void draw(float baseRadius, float topRadius, float height, int slices, int stacks)
draws a cylinder oriented along the z axis. The base of the cylinder is placed at z = 0, and the top at z=height. Like a sphere, a cylinder is subdivided around the z axis into slices, and along the z axis into stacks. Note that if topRadius is set to zero, then this routine will generate a cone. If the orientation is set to GLU.OUTSIDE (with glu.quadricOrientation), then any generated normals point away from the z axis. Otherwise, they point toward the z axis. If texturing is turned on (with glu.quadricTexture), then texture coordinates are generated so that t ranges linearly from 0.0 at z = 0 to 1.0 at z = height, and s ranges from 0.0 at the +y axis, to 0.25 at the +x axis, to 0.5 at the -y axis, to 0.75 at the -x axis, and back to 1.0 at the +y axis.

Parameters:
  `baseRadius` - Specifies the radius of the cylinder at z = 0.
  `topRadius` - Specifies the radius of the cylinder at z = height.
  `height` - Specifies the height of the cylinder.
  `slices` - Specifies the number of subdivisions around the z axis.
  `stacks` - Specifies the number of subdivisions along the z axis.